Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Oct 2021 19:36:39 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 18 Oct 2021 18:53:40 +0300
> 
> > In any case, I don't see the importance of the fine difference between
> > "menu items" and "menu items that represent tabs" in this case.
> > AFAIU, whatever menu is produced by that option is what's displayed on
> > the tab bar; the items in the menu are entirely up to the function
> > which produces the menu.  Isn't that right?
> 
> This text is still wrong:
> 
>   Adding a function to the list causes the tab bar to show
>   that string, or display a menu with those menu items when
>   you click on the tab bar.
> 
> The tab called "Menu" displays menu items from the global menu-bar,
> not from those menu items mentioned in the doc string.
> Those menu items are used only to display tabs.

Then please point me to a function out of those mentioned in
tab-bar-format's :options that returns a list of menu items.  The
sentence in the doc string "Every item in the list is a function that
returns a string, or a list of menu-item elements, or nil" wasn't
mine, it was yours.  What did you have in mind when you wrote that?